LightWayTxtTextInternal::PLC Struct Reference

Internal : the different plc types: mainly for debugging. More...

## Public Member Functions

| PLC ()
| the constructor

## Public Attributes

PLCType | m_type
| the PLC types
int | m_id
| the id
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

Internal : the different plc types: mainly for debugging.

## Constructor & Destructor Documentation

## PLC()

LightWayTxtTextInternal::PLC::PLC | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_extra

std::string LightWayTxtTextInternal::PLC::m_extra

extra data

Referenced by operator<<, PLC(), LightWayTxtText::readFont2(), LightWayTxtText::readRuby(), and LightWayTxtText::readStyleU().

## m_id

int LightWayTxtTextInternal::PLC::m_id

the id

Referenced by operator<<, PLC(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), LightWayTxtText::readRuby(), LightWayTxtText::readRulers(), and LightWayTxtText::readStyleU().

## m_type

PLCType LightWayTxtTextInternal::PLC::m_type

the PLC types

Referenced by operator<<, PLC(), LightWayTxtText::readFont2(), LightWayTxtText::readFonts(), LightWayTxtText::readRuby(), LightWayTxtText::readRulers(), and LightWayTxtText::readStyleU().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx